import { Component, inject } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import SharedModule from 'app/shared/shared.module';
import { ITEM_DELETED_EVENT } from 'app/config/navigation.constants';
import { IUnitType } from '../unit-type.model';
import { UnitTypeService } from '../service/unit-type.service';

@Component({
  standalone: true,
  templateUrl: './unit-type-delete-dialog.component.html',
  imports: [SharedModule, FormsModule],
})
export class UnitTypeDeleteDialogComponent {
  unitType?: IUnitType;

  protected unitTypeService = inject(UnitTypeService);
  protected activeModal = inject(NgbActiveModal);

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.unitTypeService.delete(id).subscribe(() => {
      this.activeModal.close(ITEM_DELETED_EVENT);
    });
  }
}
